<!DOCTYPE html>
<html>
<head>
  <!-- Enlace externo JQUERY UI-->
  <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
  <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>

  <link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
  <link rel="stylesheet" href="/resources/demos/style.css">

  <!-- JS para mensaje emergente -->
  <script>
  $( function() {
    $( "#dialog-message" ).dialog({
      modal: true,
      buttons: {
        Ok: function() {
          $(this).dialog("close");
          $(location).attr('href',"Nuevo.php");
          
        }
      }
    });
  } );
  </script>

</head>
<body>
<?php
	include("db/Test.php");
    session_start();

    if(isset($_SESSION["ingreso"]))
    {
    	
    		/*Generando número aleatorio*/
			$rand = rand(1 , 9999);


    		/*Parámetros para la imagen a subir*/
    		$target_path = "../images/";	
    		$target_path = $target_path . basename( $rand."_".$_FILES['archivo']['name']); 
			$tipo_archivo = $_FILES['archivo']['type']; 
			$tamano_archivo = $_FILES['archivo']['size'];


			/*Obteniendo el ancho de la imagen*/
			$detalle =  getimagesize($_FILES['archivo']['tmp_name']);
			$ancho = $detalle[0];  


			/*Validando el tipo de imagen permitido*/
			if(strpos($tipo_archivo, "jpg") || strpos($tipo_archivo, "jpeg") || strpos($tipo_archivo, "png"))
			{

				/*Defineindo el ancho y peso de la imagen*/
				if( $ancho <= 265  && $tamano_archivo < 8000000 )
				{
					
					move_uploaded_file($_FILES['archivo']['tmp_name'], $target_path);
					
					
					$nombre = $_POST["txt_nombre"];
		    		$descripcion = $_POST["txt_desc"];
		    		$precio = $_POST["num_precio"];
		    		$imagen = $rand."_".$_FILES['archivo']['name'];
		    		/*echo $ancho."<br>";*/
		    		$categoria = $_POST["cbx_categoria"];
		    		$estado = $_POST["cbx_estado"];


		    		/*Archivo de inserción*/
		    		$stmt_ins_prod="INSERT INTO producto
					(
					nom_producto, 
					des_producto, 
					pre_producto, 
					img_producto, 
					link_producto, 
					m_categoria_cod_categoria, 
					m_estado_cod_estado, 
					usuario_cod_usuario, 
					fac_producto)
					VALUES
					(
					'$nombre', 
					'$descripcion', 
					$precio, 
					'$imagen', 
					'#', 
					$categoria, 
					$estado, 
					1, 
					NOW()
					)";

					$result_ins = mysqli_query($link,$stmt_ins_prod);

			      	if($result_ins)
			      	{
		    	?>
		    		<!-- ShowMessage Producto Creado -->
					<div id="dialog-message" title="Producto Creado">
						  <p>
						    <span class="ui-icon ui-icon-circle-check" style="float:left; margin:0 7px 50px 0;">
						   	</span>
						    El producto fue creado satisfactoriamente!!! :) . 
						  </p>
					</div>
		    	<?php
		    		}/*cierre if del mysqli_query*/
		    		else{
		    			echo "Error: " . $stmt_ins_prod . "<br>" . mysqli_error($link);	
		    		}	

				}/*cierre if de ancho y tamaño*/
				else
				{
				?>	
						<!-- ShowMessage Ancho incorrecto (265px) -->
						<div id="dialog-message" title="Ancho Incorrecto">
						  <p>
						    <span class="ui-icon ui-icon-circle-check" style="float:left; margin:0 7px 50px 0;">
						   	</span>
						    El Ancho de la imagen es incorrecta. 
						  </p>
						</div>

				<?php
				}
				
			}
			else{
			?>
						<!-- ShowMessage Extensión Incorrecta (jpg jpeg ong) -->
						<div id="dialog-message" title="Extensión Incorrecta">
						  <p>
						    <span class="ui-icon ui-icon-circle-check" style="float:left; margin:0 7px 50px 0;">
						   	</span>
						    La extensión es incorrecta.
						  </p>
						</div>

			<?php
			}
		}
    else{
    ?>
    
    	<!-- ShowMessage Error con la SESIÓN -->
		<div id="dialog-message" title="Error de Sesión">
		<p>
		<span class="ui-icon ui-icon-circle-check" style="float:left; margin:0 7px 50px 0;">
		</span>
		Error de Sesión.
		</p>
		</div>		

    <?php
    }
?>










</body>
</html>
